package com.feedback.demo.mappers;

import com.feedback.demo.dto.FeedBackSettingsDTO;
import com.feedback.demo.entities.FeedBackSettings;
import com.feedback.demo.entities.User;

public class FeedBackSettingsMapper {
    public static FeedBackSettings toEntity(FeedBackSettingsDTO feedBackSettingsDTO,Long userId){
        return FeedBackSettings.builder()
                .id(feedBackSettingsDTO.getId())
                .position(feedBackSettingsDTO.getPosition())
                .iconURL(feedBackSettingsDTO.getIconURL())
                .feedbackTitle(feedBackSettingsDTO.getFeedbackTitle())
                .titleDescription(feedBackSettingsDTO.getTitleDescription())
                .titleEmail(feedBackSettingsDTO.getTitleEmail())
                .titleFullName(feedBackSettingsDTO.getTitleFullName())
                .titleOptions(feedBackSettingsDTO.getTitleOptions())
                .titlePhoneNumber(feedBackSettingsDTO.getTitlePhoneNumber())
                .createDate(feedBackSettingsDTO.getCreateDate())
                .updateDate(feedBackSettingsDTO.getUpdateDate())
                .user(
                        User.builder()
                        .id(userId)
                        .build()
                )
                .build();
    }
    public static FeedBackSettingsDTO toDTO(FeedBackSettings feedBackSettings){
        return FeedBackSettingsDTO.builder()
                .id(feedBackSettings.getId())
                .position(feedBackSettings.getPosition())
                .iconURL(feedBackSettings.getIconURL())
                .feedbackTitle(feedBackSettings.getFeedbackTitle())
                .titleDescription(feedBackSettings.getTitleDescription())
                .titleEmail(feedBackSettings.getTitleEmail())
                .titleFullName(feedBackSettings.getTitleFullName())
                .titleOptions(feedBackSettings.getTitleOptions())
                .titlePhoneNumber(feedBackSettings.getTitlePhoneNumber())
                .createDate(feedBackSettings.getCreateDate())
                .updateDate(feedBackSettings.getUpdateDate())
                .build();
    }
}
