package com.feedback.demo.service;

import com.feedback.demo.dto.FeedBackSettingsDTO;
import com.feedback.demo.entities.FeedBackSettings;
import com.feedback.demo.entities.User;
import com.feedback.demo.mappers.FeedBackSettingsMapper;
import com.feedback.demo.repositories.FeedBackSettingsRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FeedBackSettingsService {
    @Autowired
    private FeedBackSettingsRepository feedBackSettingsRepository;

    @Autowired
    private UserService userService;

    public FeedBackSettingsDTO updateSettings(FeedBackSettingsDTO feedBackSettingsDTO){
        User user = userService.getCurrentUser();
        FeedBackSettings settings = feedBackSettingsRepository.findByUserId(user.getId());
        if (settings==null){
            throw new RuntimeException("setting not available ! ");
        }
        settings.setPosition(feedBackSettingsDTO.getPosition());
        settings.setIconURL(feedBackSettingsDTO.getIconURL());
        settings.setFeedbackTitle(feedBackSettingsDTO.getFeedbackTitle());
        settings.setTitleFullName(feedBackSettingsDTO.getTitleFullName());
        settings.setTitleEmail(feedBackSettingsDTO.getTitleEmail());
        settings.setTitlePhoneNumber(feedBackSettingsDTO.getTitlePhoneNumber());
        settings.setTitleOptions(feedBackSettingsDTO.getTitleOptions());
        settings.setTitleDescription(feedBackSettingsDTO.getTitleDescription());
        return FeedBackSettingsMapper.toDTO(feedBackSettingsRepository.save(settings));
    }
    public FeedBackSettingsDTO getFeedbackSettings(){
        User user = userService.getCurrentUser();
        FeedBackSettings settings = feedBackSettingsRepository.findByUserId(user.getId());
        if (settings==null){
            throw new RuntimeException("setting not available ! ");
        }
        return FeedBackSettingsMapper.toDTO(settings);
    }
}
